Выполнение произвольного PHP кода в Open-Realty

Дата публикации:
11.02.2008
Всего просмотров:
1289
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Open-Realty 2.x
Уязвимые версии: Open-Realty 2.4.3, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "last_module" в сценарии include/class/adodb/adodb-perf-module.inc.php перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.open-realty.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Open-Realty <= 2.4.3 (last_module) Remote Code Execution Exploit

или введите имя

CAPTCHA